<a id="top"></a>

<img src="docs/artwork/mpp-logo.png" alt="Mutation++" width="600"/>

[![Build Status](https://github.com/mutationpp/Mutationpp/workflows/Build/badge.svg)](https://github.com/mutationpp/Mutationpp/actions)
[![codecov](https://codecov.io/gh/mutationpp/Mutationpp/branch/master/graph/badge.svg)](https://codecov.io/gh/mutationpp/Mutationpp)
[![license: LGPL v3](https://img.shields.io/badge/License-LGPL%20v3-blue.svg)](https://www.gnu.org/licenses/lgpl-3.0)

Mutation++ is an open-source library originally developed at the [von Karman Institute for Fluid Dynamics](https://www.vki.ac.be), designed to couple with conventional computational fluid dynamics codes to provide thermodynamic, transport, chemistry, and energy transfer properties associated with subsonic to hypersonic flows.

## Get started
* [See what Mutation++ can do](docs/capabilities.md#top)
* [Introductory tutorial](docs/getting-started.md#top)
* [Going further](docs/Readme.md#top) - full reference section

## More
* Feature requests and bugs can be raised on the [Github issue tracker](https://github.com/mutationpp/Mutationpp/issues)
* Check out [who we are](docs/contributors.md#top)
* Thank [our sponsors](docs/funding.md#top)
* Find [other projects using Mutation++](docs/users.md#top)

## Citing Mutation++
Please cite the following article when mentioning Mutation++ in your own papers.

* Scoggins et al. [Mutation++: MUlticomponent Thermodynamic And Transport properties for IONized gases in C++.](https://www.sciencedirect.com/science/article/pii/S2352711020302880) *SoftwareX* 12, 2020.

**Bibtex**
```bibtex
@article{Scoggins2020,
  title   = {Mutation++: MUlticomponent Thermodynamic And Transport properties for IONized gases in C++},
  author = {James B. Scoggins and Vincent Leroy and Georgios Bellas-Chatzigeorgis and Bruno Dias and Thierry E. Magin},
  journal = {SoftwareX},
  volume = {12},
  year = {2020},
  doi = {10.1016/j.softx.2020.100575}
}
```
